Skip to content
Browse files

Remove unneded backports dependency

Lib does not use any feature that is affected by backports. Use the
least powerful tool rule.
  • Loading branch information...
1 parent a494e9f commit affb5d07839b030893e47d20a0c56ed1a3481f6a @mbj mbj committed Jun 29, 2013
Showing with 2 additions and 6 deletions.
  1. +0 −2 abstract_type.gemspec
  2. +1 −1 config/flay.yml
  3. +1 −1 config/flog.yml
  4. +0 −2 lib/abstract_type.rb
View
2 abstract_type.gemspec
@@ -15,7 +15,5 @@ Gem::Specification.new do |gem|
gem.test_files = `git ls-files -- spec/unit`.split($/)
gem.extra_rdoc_files = %w[LICENSE README.md TODO]
- gem.add_runtime_dependency('backports', '~> 3.3', '>= 3.3.2')
-
gem.add_development_dependency('bundler', '~> 1.3', '>= 1.3.5')
end
View
2 config/flay.yml
@@ -1,3 +1,3 @@
---
threshold: 9
-total_score: 19
+total_score: 17
View
2 config/flog.yml
@@ -1,2 +1,2 @@
---
-threshold: 9.8
+threshold: 9.0
View
2 lib/abstract_type.rb
@@ -1,7 +1,5 @@
# encoding: utf-8
-require 'backports'
-
# Module to allow class and methods to be abstract
module AbstractType

0 comments on commit affb5d0

Please sign in to comment.
Something went wrong with that request. Please try again.